'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
require('../Box/Box.js');
require('../_rollupPluginBabelHelpers-b18c4e5e.js');
require('react');
require('reakit-utils/useForkRef');
require('reakit-utils/isButton');
require('reakit-warning');
require('reakit-utils/useLiveRef');
require('reakit-utils/useIsomorphicEffect');
require('reakit-utils/hasFocusWithin');
require('reakit-utils/getActiveElement');
require('../Tabbable/Tabbable.js');
require('../Clickable/Clickable.js');
require('reakit-utils/useSealedState');
require('reakit-utils/createOnKeyDown');
require('reakit-utils/getDocument');
require('reakit-utils/isSelfTarget');
require('reakit-utils/applyState');
require('../Id/IdProvider.js');
require('../Id/IdState.js');
require('../CompositeState-969c2a43.js');
require('../Id/Id.js');
require('reakit-utils/isTextField');
require('reakit-utils/isPortalEvent');
require('reakit-utils/tabbable');
require('../setTextFieldValue-fc0d2717.js');
var CompositeItem = require('../Composite/CompositeItem.js');
var ToolbarState = require('./ToolbarState.js');

var useToolbarItem = createHook.createHook({
  name: "ToolbarItem",
  compose: CompositeItem.unstable_useCompositeItem,
  useState: ToolbarState.useToolbarState
});
var ToolbarItem = createComponent.createComponent({
  as: "button",
  memo: true,
  useHook: useToolbarItem
});

exports.ToolbarItem = ToolbarItem;
exports.useToolbarItem = useToolbarItem;
