import { SealedInitialState } from "reakit-utils/useSealedState";
import { unstable_CompositeState as CompositeState, unstable_CompositeActions as CompositeActions, unstable_CompositeInitialState as CompositeInitialState } from "../Composite";
export declare type MenuBarState = CompositeState & {
    /**
     * Stores the values of radios and checkboxes within the menu.
     */
    unstable_values: Record<string, any>;
};
export declare type MenuBarActions = CompositeActions & {
    /**
     * Updates checkboxes and radios values within the menu.
     */
    unstable_setValue: (name: string, value?: any) => void;
};
export declare type MenuBarInitialState = CompositeInitialState & Partial<Pick<MenuBarState, "unstable_values">>;
export declare type MenuBarStateReturn = MenuBarState & MenuBarActions;
export declare function useMenuBarState(initialState?: SealedInitialState<MenuBarInitialState>): MenuBarStateReturn;
export declare namespace useMenuBarState {
    var __keys: ("rtl" | "reset" | "down" | "up" | "next" | "move" | "wrap" | "first" | "last" | "baseId" | "unstable_idCountRef" | "unstable_setBaseId" | "currentId" | "items" | "unstable_virtual" | "orientation" | "groups" | "loop" | "unstable_moves" | "unstable_hasActiveWidget" | "registerItem" | "unregisterItem" | "registerGroup" | "unregisterGroup" | "previous" | "setRTL" | "setOrientation" | "setCurrentId" | "setLoop" | "setWrap" | "unstable_setVirtual" | "unstable_setHasActiveWidget" | "unstable_values" | "unstable_setValue")[];
}
