import * as React from "react";
import { unstable_CompositeItemOptions as CompositeItemOptions, unstable_CompositeItemHTMLProps as CompositeItemHTMLProps } from "../Composite/CompositeItem";
import { RadioStateReturn } from "./RadioState";
export declare type RadioOptions = CompositeItemOptions & Pick<Partial<RadioStateReturn>, "state" | "setState"> & {
    /**
     * Same as the `value` attribute.
     */
    value: string | number;
    /**
     * Same as the `checked` attribute.
     */
    checked?: boolean;
    /**
     * @private
     */
    unstable_checkOnFocus?: boolean;
};
export declare type RadioHTMLProps = CompositeItemHTMLProps & React.InputHTMLAttributes<any>;
export declare type RadioProps = RadioOptions & RadioHTMLProps;
export declare const useRadio: {
    (options?: RadioOptions | undefined, htmlProps?: RadioHTMLProps | undefined, unstable_ignoreUseOptions?: boolean | undefined): RadioHTMLProps;
    __keys: readonly any[];
    __useOptions: (options: RadioOptions, htmlProps: RadioHTMLProps) => RadioOptions;
};
export declare const Radio: import("reakit-system/src/createComponent").Component<"input", RadioOptions>;
